View Issue Details

IDProjectCategoryView StatusLast Update
0003425unrealinstallingpublic2007-07-22 14:16
ReporteraptiAssigned Tostskeeps 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSLinuxOS Version2.6
Product Version4.0-devel 
Target VersionFixed in Version4.0-devel 
Summary0003425: configure script does not handle errors in ssl-creation properly
DescriptionWhen compiling u4 with support for gnutls and openssl, then it does not check if certtool is available. But more badly it doesn't check if cert creation went well and redirects errors to /dev/null. So there is no chance to see if something fails except that the following mv fails.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003417 closed TODO list for Unreal4.0 

Activities

2007-07-06 11:58

 

handle-gnutls-certification-creation-errors.patch (1,674 bytes)

apti

2007-07-06 12:00

reporter   ~0014452

The attached patch adds a warning to configure if ssl certification fails.
This does not solve the problem at a whole, cause openssl certification doesn't check if things went okay either, but i did not use openssl in my tests and therefore didn't test it.

stskeeps

2007-07-11 14:33

reporter   ~0014475

Patched in r31

Issue History

Date Modified Username Field Change
2007-07-06 10:18 apti New Issue
2007-07-06 11:58 apti File Added: handle-gnutls-certification-creation-errors.patch
2007-07-06 12:00 apti Note Added: 0014452
2007-07-09 16:04 stskeeps Status new => acknowledged
2007-07-09 16:04 stskeeps Relationship added child of 0003417
2007-07-11 14:33 stskeeps Status acknowledged => resolved
2007-07-11 14:33 stskeeps Fixed in Version => 4.0-devel
2007-07-11 14:33 stskeeps Resolution open => fixed
2007-07-11 14:33 stskeeps Assigned To => stskeeps
2007-07-11 14:33 stskeeps Note Added: 0014475
2007-07-19 08:29 stskeeps QA => Fixed by developer, needs QA testing
2007-07-19 08:39 stskeeps U4: Need for upstream patch => Upstream patch accepted
2007-07-19 10:07 stskeeps U4: Upstream notification of bug => Shared InspIRCd&Unreal4 issue reported
2007-07-20 08:01 stskeeps U4: Contributor working on this => apti
2007-07-22 14:16 owine QA Fixed by developer, needs QA testing => QA has accepted the fix
2007-07-22 14:16 owine U4: Upstream notification of bug Shared InspIRCd&Unreal4 issue reported => Not decided